module Main where

import qualified Test.Numeric.BLAS.Slice as Slice

import qualified Test.Float.Numeric.BLAS.Vector as VectorFloat
import qualified Test.Double.Numeric.BLAS.Vector as VectorDouble
import qualified Test.ComplexFloat.Numeric.BLAS.Vector as VectorComplexFloat
import qualified Test.ComplexDouble.Numeric.BLAS.Vector as VectorComplexDouble

import qualified Test.Float.Numeric.BLAS.Vector.Slice as SliceFloat
import qualified Test.Double.Numeric.BLAS.Vector.Slice as SliceDouble
import qualified Test.ComplexFloat.Numeric.BLAS.Vector.Slice as SliceComplexFloat
import qualified Test.ComplexDouble.Numeric.BLAS.Vector.Slice as SliceComplexDouble

import qualified Test.DocTest.Driver as DocTest

main :: IO ()
main = DocTest.run $ do
   DocTest.printLine "\nSlice"
   Slice.test
   DocTest.printLine "\nFloat"
   VectorFloat.test
   SliceFloat.test
   DocTest.printLine "\nDouble"
   VectorDouble.test
   SliceDouble.test
   DocTest.printLine "\nComplex Float"
   VectorComplexFloat.test
   SliceComplexFloat.test
   DocTest.printLine "\nComplex Double"
   VectorComplexDouble.test
   SliceComplexDouble.test
